<template>
  <div class="container mx-auto">
    <div class="home-menus">
      <nuxt-link
        v-for="menu in menuTabHeaders"
        :key="menu.TabType"
        :to="menu.TabURL"
        class="home-menu-item"
      >
        <div class="flex justify-center">
          <img
            v-lazy="getAssetImage(`assets/theme/green_peru/home-entry-banner/${menu.TabType.replace(' ', '').toLowerCase()}.png`)" alt="">
        </div>
      </nuxt-link>
    </div>
  </div>
</template>
<script setup lang="ts">
import { useHeaderComponent } from "@/composables/useTheme";
import commonHelper from "@/utils/commonHelper";

const { menuTabHeaders } = useHeaderComponent();
const { getAssetImage } = commonHelper;
</script>
<style lang="scss">
.home-menus {
  display: grid;
  gap: 1rem;
  @media screen and (min-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media screen and (max-width: 639px) {
    gap: 0.5rem;
  }
  .home-menu-item {
    img {
      border-radius: 8px;
      overflow: hidden;
      border: 2px solid var(--primary);
      box-shadow: 0px 2px 10px var(--blur-color);

      @media screen and (max-width: 639px) {
        box-shadow: 0px 2px 5px var(--blur-color);
      }
    }
  }
}
</style>
